### Property

# Ide Object:cancellable

#### Declaration

    property cancellable: Gio.Cancellable [ read, write, construct-only ]

#### Description

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

This is convenient when you want operations to automatically be cancelled when part of teh object tree is segmented.

Type: | `GCancellable`
Available since: | 3.32

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes